/Users/bernard/b20/bsoft/src/bcyl.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bcyl.cpp - Program to manipulate cylindrical images.

SYNOPSIS

#include 'rwimg.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int img_plot_max_vs_angle (Bimage *p)
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program to manipulate cylindrical images.

Author:
    Bernard Heymann

Date:
    Created: 20090309

    Modified: 20160326

Definition in file bcyl.cpp.

Function Documentation

  int img_plot_max_vs_angle (Bimage * p)

Definition at line 150 of file bcyl.cpp.

  int main (int argc, char ** argv)

Definition at line 43 of file bcyl.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bcyl [options] input.img output.img",
"------------------------------------------",
"Unwraps an image to its cylindrical projection.",
" ",
"Actions:",
"-symmetrize              Symmetrizes a map cylindrically around the origin.",
"-unwrap 1.5              Unwraps an image to its cylindrical projection with the given angle.",
"-autocorrelate           Autocorrelates the unwrapped map and outputs the autocorrelation map.",
"-rescale -0.1,5.2        Rescale data to average and standard deviation (after -truncate).",
"-shells                  Calculate cylindrical shells projecting along the y-axis.",
"-reslice yzx             Reslice (switch axes) after unwrapping.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-origin 0,-10.5,30       Set the origin.",
"-resolution 4.5,130      Resolution range for correlation (default 0 - 1e6 angstrom).",
" ",
NULL
}

Definition at line 20 of file bcyl.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.